;;; DO NOT MODIFY THIS FILE
(if (featurep 'ruby-modes-custom-defines) (error "Feature ruby-modes-custom-defines already loaded"))

;;;### (autoloads (inferior-ruby-filter-regexp inferior-ruby-mode-hook inferior-ruby-prompt-pattern inferior-ruby-first-prompt-pattern ruby-program-name ruby-inferior-mode) "inf-ruby" "ruby-modes/inf-ruby.el")
(defconst custom-define-current-source-file "inf-ruby.el")

(defgroup ruby-inferior-mode nil "Major mode for interacting with an inferior ruby (irb) process." :group 'ruby :prefix "inferior-ruby-")

(defcustom ruby-program-name "irb --inf-ruby-mode" "\
*Program invoked by the `run-ruby' command." :type 'string :group 'ruby-inferior-mode)

(defcustom inferior-ruby-first-prompt-pattern "^irb(.*)[0-9:]+0> *" "\
*First prompt regex pattern of ruby interpreter." :type 'regexp :group 'ruby-inferior-mode)

(defcustom inferior-ruby-prompt-pattern "^\\(irb(.*)[0-9:]+[>*\"'] *\\)+" "\
*Prompt regex pattern of ruby interpreter." :type 'regexp :group 'ruby-inferior-mode)

(defcustom inferior-ruby-mode-hook nil "\
*Hook for customising `inferior-ruby-mode'." :type 'hook :group 'ruby-inferior-mode)

(defcustom inferior-ruby-filter-regexp "\\`\\s *\\S ?\\S ?\\s *\\'" "\
*Input matching this regexp are not saved on the history list.
Defaults to a regexp ignoring all inputs of 0, 1, or 2 letters." :type 'regexp :group 'ruby-inferior-mode)

;;;***

;;;### (autoloads (ruby-indent-level ruby) "ruby-mode" "ruby-modes/ruby-mode.el")
(defconst custom-define-current-source-file "ruby-mode.el")

(defgroup ruby nil "Major mode for editing ruby scripts." :group 'languages :prefix "ruby-")

(defcustom ruby-indent-level 2 "\
*Indentation of ruby statements." :type 'integer :group 'ruby)

;;;***

;;;### (autoloads (rubydb-command-name ruby-debug) "rubydb3x" "ruby-modes/rubydb3x.el")
(defconst custom-define-current-source-file "rubydb3x.el")

(defgroup ruby-debug nil "Ruby debugging." :group 'ruby :prefix "rubydb-")

(defcustom rubydb-command-name "ruby" "\
*Command for executing ruby." :type 'string :group 'ruby-debug)

;;;***

(provide 'ruby-modes-custom-defines)
